<%-- 
    Document   : recordCoreDiv
    Date       : 1/05/12
    Time       : 12:10 PM
    Author     : "Nick dos Remedios <Nick.dosRemedios@csiro.au>"
--%><%@
        page contentType="text/html" pageEncoding="UTF-8" trimDirectiveWhitespaces="true"%><%@
        include file="/common/taglibs.jsp" %><%@
        page import="java.util.Map" %><%@
        page import="java.util.HashMap" %>
<% Map fieldsMap = new HashMap(); pageContext.setAttribute("fieldsMap", fieldsMap); %>
<%-- c:set target="${fieldsMap}" property="aKey" value="value for a key" /--%>
<div id="occurrenceDataset">
    <h3> <fmt:message key="subtDetOcor.dataset"/></h3>  
    <table class="occurrenceTable table table-bordered table-striped table-condensed" id="datasetTable">
        <c:if test="${useAla == 'true'}">
            <!-- Data Provider -->
            <c:if test="${not fn:contains(skin, 'avh')}">
                <alatag:occurrenceTableRow annotate="false" section="dataset" fieldCode="dataProvider" fieldNameIsMsgCode="true" fieldName="subtDetOcor.dataProvider">
                    <c:choose>
                        <c:when test="${record.processed.attribution.dataProviderUid != null && not empty record.processed.attribution.dataProviderUid}">
                            <c:set target="${fieldsMap}" property="dataProviderUid" value="true" />
                            <c:set target="${fieldsMap}" property="dataProviderName" value="true" />
                            <a href="${collectionsWebappContext}/public/show/${record.processed.attribution.dataProviderUid}">
                                    ${record.processed.attribution.dataProviderName}
                            </a>
                        </c:when>
                        <c:otherwise>
                            <c:set target="${fieldsMap}" property="dataProviderName" value="true" />
                            ${record.processed.attribution.dataProviderName}
                        </c:otherwise>
                    </c:choose>
                </alatag:occurrenceTableRow>
                <!-- Data Resource -->
                <alatag:occurrenceTableRow annotate="false" section="dataset" fieldCode="dataResource" fieldNameIsMsgCode="true" fieldName="subtDetOcor.dataResource">
                    <c:choose>
                        <c:when test="${record.raw.attribution.dataResourceUid != null && not empty record.raw.attribution.dataResourceUid}">
                            <c:set target="${fieldsMap}" property="dataResourceUid" value="true" />
                            <c:set target="${fieldsMap}" property="dataResourceName" value="true" />
                            <a href="${collectionsWebappContext}/public/show/${record.raw.attribution.dataResourceUid}">
                                  <c:choose>
                                      <c:when test="${not empty record.processed.attribution.dataResourceName}">
                                          ${record.processed.attribution.dataResourceName}
                                      </c:when>
                                      <c:otherwise>
                                          ${record.raw.attribution.dataResourceUid}
                                      </c:otherwise>
                                  </c:choose>
                            </a>
                        </c:when>
                        <c:otherwise>
                            <c:set target="${fieldsMap}" property="dataResourceName" value="true" />
                            ${record.processed.attribution.dataResourceName}
                        </c:otherwise>
                    </c:choose>
                </alatag:occurrenceTableRow>
            </c:if>
        </c:if>
        <!-- Institution -->
        <c:if test="${not fn:contains(skin, 'avh')}">
            <alatag:occurrenceTableRow annotate="false" section="dataset" fieldCode="institutionCode" fieldNameIsMsgCode="true" fieldName="subtDetOcor.Institution">
                <c:choose>
                    <c:when test="${record.processed.attribution.institutionUid != null && not empty record.processed.attribution.institutionUid}">
                        <c:set target="${fieldsMap}" property="institutionUid" value="true" />
                        <c:set target="${fieldsMap}" property="institutionName" value="true" />
                        <!-- <a href="${collectionsWebappContext}/public/show/${record.processed.attribution.institutionUid}"> -->
                        <c:choose>
                            <c:when test="${useAla == 'true'}">
                                <a href="${collectionsWebappContext}/public/show/${record.processed.attribution.institutionUid}">
                            </c:when>
                            <c:otherwise>
                                <a href="${pageContext.request.contextPath}/institution/${record.processed.attribution.institutionUid}">
                            </c:otherwise>
                        </c:choose>
                        ${record.processed.attribution.institutionName}
                        </a>
                    </c:when>
                    <c:otherwise>
                        <c:set target="${fieldsMap}" property="institutionName" value="true" />
                        ${record.processed.attribution.institutionName}
                    </c:otherwise>
                </c:choose>
                <c:if test="${not empty record.raw.occurrence.institutionCode}">
                    <c:set target="${fieldsMap}" property="institutionCode" value="true" />
                    <c:if test="${not empty record.processed.attribution.institutionName}"><br/></c:if>
                    <span class="originalValue">Supplied institution code "${record.raw.occurrence.institutionCode}"</span>
                </c:if>
            </alatag:occurrenceTableRow>
        </c:if>
        <!-- Collection -->
        <alatag:occurrenceTableRow annotate="false" section="dataset" fieldNameIsMsgCode="true" fieldCode="collectionCode" fieldName="subtDetOcor.Collection">
            <c:if test="${not empty record.processed.attribution.collectionUid}">
                <c:set target="${fieldsMap}" property="collectionUid" value="true" />
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${collectionsWebappContext}/public/show/${record.processed.attribution.collectionUid}">
                    </c:when>
                    <c:otherwise>
                        <a href="${pageContext.request.contextPath}/collection/${record.processed.attribution.collectionUid}" title="view collection page">
                    </c:otherwise>
                </c:choose>
            </c:if>
            <c:choose>
                <c:when test="${not empty record.processed.attribution.collectionName}">
                    <c:set target="${fieldsMap}" property="collectionName" value="true" />
                    ${record.processed.attribution.collectionName}
                </c:when>
                <c:when test="${not empty collectionName}">
                    <c:set target="${fieldsMap}" property="collectionName" value="true" />
                    ${collectionName}
                </c:when>
            </c:choose>
            <c:if test="${not empty record.processed.attribution.collectionUid}">
                </a>
            </c:if>
            <c:if test="${false && not empty record.raw.occurrence.collectionCode}">
                <c:set target="${fieldsMap}" property="collectionCode" value="true" />
                <c:if test="${not empty collectionName || not empty record.processed.attribution.collectionName}"><br/></c:if>
                <span class="originalValue" style="display:none">Supplied collection code "${record.raw.occurrence.collectionCode}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Catalog Number -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="catalogueNumber" fieldNameIsMsgCode="true" fieldName="subtDetOcor.catalogueNumber">
            <c:set target="${fieldsMap}" property="catalogNumber" value="true" />
            <c:choose>
                <c:when test="${not empty record.processed.occurrence.catalogNumber && not empty record.raw.occurrence.catalogNumber}">
                    ${record.processed.occurrence.catalogNumber}
                <br/><span class="originalValue">Supplied as "${record.raw.occurrence.catalogNumber}"</span>
                </c:when>
                <c:otherwise>
                    ${record.raw.occurrence.catalogNumber}
                </c:otherwise>
            </c:choose>
        </alatag:occurrenceTableRow>
        <!-- Other Catalog Number -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="otherCatalogNumbers" fieldNameIsMsgCode="true" fieldName="subtDetOcor.otherCatalogNumbers">
            <c:set target="${fieldsMap}" property="otherCatalogNumbers" value="true" />
            ${record.raw.occurrence.otherCatalogNumbers}
        </alatag:occurrenceTableRow>
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="citation" fieldNameIsMsgCode="true"  fieldName="subtDetOcor.citation">
            <c:set target="${fieldsMap}" property="citation" value="true" />
            ${record.raw.attribution.citation}
        </alatag:occurrenceTableRow>
        <!-- Occurrence ID -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="occurrenceID" fieldNameIsMsgCode="true"  fieldName="subtDetOcor.occurrenceID">
            <c:set target="${fieldsMap}" property="occurrenceID" value="true" />
            <c:choose>
                <c:when test="${not empty record.processed.occurrence.occurrenceID && not empty record.raw.occurrence.occurrenceID}">
                    <c:if test="${fn:startsWith(record.processed.occurrence.occurrenceID,'http://')}"><a href="${record.processed.occurrence.occurrenceID}" target="_blank"></c:if>
                    ${record.processed.occurrence.occurrenceID}
                    <c:if test="${fn:startsWith(record.processed.occurrence.occurrenceID,'http://')}"></a></c:if>
                    <br/><span class="originalValue">Supplied as "${record.raw.occurrence.occurrenceID}"</span>
                </c:when>
                <c:otherwise>
                    <c:if test="${fn:startsWith(record.raw.occurrence.occurrenceID,'http://')}"><a href="${record.raw.occurrence.occurrenceID}" target="_blank"></c:if>
                        ${record.raw.occurrence.occurrenceID}
                    <c:if test="${fn:startsWith(record.raw.occurrence.occurrenceID,'http://')}"></a></c:if>
                </c:otherwise>
            </c:choose>
        </alatag:occurrenceTableRow>
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="citation" fieldNameIsMsgCode="true"  fieldName="subtDetOcor.citation">
            <c:set target="${fieldsMap}" property="citation" value="true" />
            ${record.raw.attribution.citation}
        </alatag:occurrenceTableRow>
        <!-- not shown
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="recordUuid" fieldNameIsMsgCode="true"  fieldName="subtDetOcor.UUIDregister">
            <c:set target="${fieldsMap}" property="recordUuid" value="true" />
            <c:choose>
                <c:when test="${not empty record.processed.uuid}">
                    ${record.processed.uuid}
                </c:when>
                <c:otherwise>
                    ${record.raw.uuid}
                </c:otherwise>
            </c:choose>
        </alatag:occurrenceTableRow>
        -->
        <!-- Basis of Record -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="basisOfRecord" fieldNameIsMsgCode="true"  fieldName="subtDetOcor.basisOfRecord">
            <c:set target="${fieldsMap}" property="basisOfRecord" value="true" />
            <c:choose>
                <c:when test="${not empty record.processed.occurrence.basisOfRecord && not empty record.raw.occurrence.basisOfRecord && record.processed.occurrence.basisOfRecord == record.raw.occurrence.basisOfRecord}">
                    <fmt:message key="${record.processed.occurrence.basisOfRecord}"/>
                </c:when>
                <c:when test="${not empty record.processed.occurrence.basisOfRecord && not empty record.raw.occurrence.basisOfRecord}">
                    <fmt:message key="${record.processed.occurrence.basisOfRecord}"/>
                    <br/><span class="originalValue">Supplied basis "${record.raw.occurrence.basisOfRecord}"</span>
                </c:when>
                <c:when test="${not empty record.processed.occurrence.basisOfRecord}">
                    <fmt:message key="${record.processed.occurrence.basisOfRecord}"/>
                </c:when>
                <c:when test="${empty record.raw.occurrence.basisOfRecord}">
                   Not supplied
                </c:when>
                <c:otherwise>
                    <fmt:message key="${record.raw.occurrence.basisOfRecord}"/>
                </c:otherwise>
            </c:choose>
        </alatag:occurrenceTableRow>
        <!-- Preparations -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="preparations" fieldNameIsMsgCode="true"  fieldName="subtDetOcor.preparations">
            <c:set target="${fieldsMap}" property="preparations" value="true" />
            ${record.raw.occurrence.preparations}
        </alatag:occurrenceTableRow>
        <!-- Identifier Name -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="identifierName" fieldNameIsMsgCode="true" fieldName="subtDetOcor.identifiedBy">
            <c:set target="${fieldsMap}" property="identifiedBy" value="true" />
            ${record.raw.identification.identifiedBy}
        </alatag:occurrenceTableRow>
        <!-- Identified Date -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="identifierDate"  fieldNameIsMsgCode="true" fieldName="subtDetOcor.identifierDate">
            <c:set target="${fieldsMap}" property="identifierDate" value="true" />
            ${record.raw.identification.dateIdentified}
        </alatag:occurrenceTableRow>
        <!-- Identified Date -->
       <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="identifierRole"  fieldNameIsMsgCode="true" fieldName="subtDetOcor.identifierRole">
            <c:set target="${fieldsMap}" property="identifierRole" value="true" />
            ${record.raw.identification.identifierRole}
        </alatag:occurrenceTableRow>
        <!-- Field Number -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="fieldNumber"  fieldNameIsMsgCode="true" fieldName="subtDetOcor.fieldNumber">
            <c:set target="${fieldsMap}" property="fieldNumber" value="true" />
            ${record.raw.occurrence.fieldNumber}
        </alatag:occurrenceTableRow>
        <!-- Field Number -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="identificationRemarks" fieldNameIsMsgCode="true" fieldName="subtDetOcor.identificationRemarks=">
            <c:set target="${fieldsMap}" property="identificationRemarks" value="true" />
            ${record.raw.identification.identificationRemarks}
        </alatag:occurrenceTableRow>
        <!-- Collector/Observer -->
        <c:set var="collectorNameLabel">
            <c:choose>
                <c:when test="${fn:containsIgnoreCase(record.processed.occurrence.basisOfRecord, 'specimen')}"><fmt:message key="subtDetOcor.coletor"/></c:when>
                <c:when test="${fn:containsIgnoreCase(record.processed.occurrence.basisOfRecord, 'observation')}"><fmt:message key="subtDetOcor.observer"/></c:when>
                <c:otherwise>Collector/Observer</c:otherwise>
            </c:choose>
        </c:set>

         <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="collectorName" fieldName="${collectorNameLabel}">
            <c:set var="recordedByField">
                <c:choose>
                    <c:when test="${not empty record.raw.occurrence.recordedBy}">recordedBy</c:when>
                    <c:when test="${not empty record.raw.occurrence.userId}">userId</c:when>
                    <c:otherwise>recordedBy</c:otherwise>
                </c:choose>
            </c:set>
            <c:set target="${fieldsMap}" property="${recordedByField}" value="true" />
            <c:set var="rawRecordedBy">${record.raw.occurrence[recordedByField]}</c:set>
            <c:set var="proRecordedBy">${record.processed.occurrence[recordedByField]}</c:set>
            <c:choose>
                <c:when test="${not empty record.processed.occurrence[recordedByField] && not empty record.raw.occurrence[recordedByField] && record.processed.occurrence[recordedByField] == record.raw.occurrence[recordedByField]}">
                    ${proRecordedBy}
                </c:when>
                <c:when test="${not empty record.processed.occurrence[recordedByField] && not empty record.raw.occurrence[recordedByField]}">
                    ${proRecordedBy}
                    <c:if test="${proRecordedBy != rawRecordedBy}">
                        <br/><span class="originalValue">Supplied as "${rawRecordedBy}"</span>
                    </c:if>
                </c:when>
                <c:when test="${not empty record.processed.occurrence[recordedByField]}">
                    ${proRecordedBy}
                </c:when>
                <c:when test="${not empty record.raw.occurrence[recordedByField]}">
                    ${rawRecordedBy}
                </c:when>
            </c:choose>
        </alatag:occurrenceTableRow>
        <!-- ALA user id -->
        <c:if test="${not empty record.raw.occurrence.userId}">
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="userId" fieldNameIsMsgCode="true" fieldName="subtDetOcor.userID">
            <c:set target="${fieldsMap}" property="userId" value="true" />
           <a href="http://sightings.ala.org.au/spotter/${record.raw.occurrence.userId}">${record.alaUserName}</a>
        </alatag:occurrenceTableRow>
        </c:if>
        <!-- Record Number -->
        <c:set var="recordNumberLabel">
            <c:choose>
                <c:when test="${fn:containsIgnoreCase(record.processed.occurrence.basisOfRecord, 'specimen')}"><fmt:message key="subtDetOcor.collectingNumber"/></c:when>
                <c:otherwise><fmt:message key="subtDetOcor.registerNumber"/></c:otherwise>
            </c:choose>
        </c:set>
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="recordNumber" fieldName="${recordNumberLabel}">
            <c:set target="${fieldsMap}" property="recordNumber" value="true" />
            <c:choose>
                <c:when test="${not empty record.processed.occurrence.recordNumber && not empty record.raw.occurrence.recordNumber}">
                    ${record.processed.occurrence.recordNumber}
                    <br/><span class="originalValue"><title><fmt:message key="subtDetOcor.suppliedAs"/> </title> "${record.raw.occurrence.recordNumber}"</span>
                </c:when>
                <c:otherwise>
                    <c:if test="${not empty record.raw.occurrence.recordNumber && fn:startsWith(record.raw.occurrence.recordNumber,'http://')}">
                      <a href="${record.raw.occurrence.recordNumber}">
                    </c:if>
                    ${record.raw.occurrence.recordNumber}
                    <c:if test="${not empty record.raw.occurrence.recordNumber && fn:startsWith(record.raw.occurrence.recordNumber,'http://')}">
                      </a>
                    </c:if>
                </c:otherwise>
            </c:choose>
        </alatag:occurrenceTableRow>
        <!-- Record Date -->
        <c:set var="occurrenceDateLabel">
          <c:choose>    	    
            <c:when test="${fn:containsIgnoreCase(record.processed.occurrence.basisOfRecord, 'specimen')}">Collecting date</c:when>
            <c:otherwise><fmt:message key="subtDetOcor.recordDate"/></c:otherwise>
          </c:choose>
        </c:set>
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="occurrenceDate" fieldName="${occurrenceDateLabel}">
            <c:set target="${fieldsMap}" property="eventDate" value="true" />
            <c:if test="${empty record.processed.event.eventDate && record.raw.event.eventDate && empty record.raw.event.year && empty record.raw.event.month && empty record.raw.event.day}">
              <fmt:message key="subtDetOcor.dateNotSupplied"/>
            </c:if>
            <c:if test="${not empty record.processed.event.eventDate}">
                <span class="isoDate">${record.processed.event.eventDate}</span>
            </c:if>
            <c:if test="${empty record.processed.event.eventDate && (not empty record.processed.event.year || not empty record.processed.event.month || not empty record.processed.event.day)}">
               <fmt:message key="subtDetOcor.Year"/> ${record.processed.event.year},
               <fmt:message key="subtDetOcor.Month"/> ${record.processed.event.month},
               <fmt:message key="subtDetOcor.Day"/> ${record.processed.event.day}
            </c:if>
            <c:choose>
              <c:when test="${not empty record.processed.event.eventDate && not empty record.raw.event.eventDate && record.raw.event.eventDate != record.processed.event.eventDate}">
                <br/><span class="originalValue"><title><fmt:message key="subtDetOcor.dateUpdated"/></title> "${record.raw.event.eventDate}"</span>
              </c:when>
              <c:when test="${not empty record.raw.event.year || not empty record.raw.event.month || not empty record.raw.event.day}">
                <br/><span class="originalValue">
                        <fmt:message key="subtDetOcor.suppliedAs"/>
                        <c:if test="${not empty record.raw.event.year}">year:${record.raw.event.year}&nbsp;</c:if>
                        <c:if test="${not empty record.raw.event.month}">month:${record.raw.event.month}&nbsp;</c:if>
                        <c:if test="${not empty record.raw.event.day}">day:${record.raw.event.day}&nbsp;</c:if>
                    </span>
              </c:when>
              <c:when test="${record.raw.event.eventDate != record.processed.event.eventDate && not empty record.raw.event.eventDate}">
                <br/><span class="originalValue"><fmt:message key="subtDetOcor.dateUpdated"/> "${record.raw.event.eventDate}"</span>
              </c:when>
            </c:choose>
        </alatag:occurrenceTableRow>
        <!-- Sampling Protocol -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="samplingProtocol" fieldNameIsMsgCode="true" fieldName="subtDetOcor.samplingProtocol">
            <c:set target="${fieldsMap}" property="samplingProtocol" value="true" />
            ${record.raw.occurrence.samplingProtocol}
        </alatag:occurrenceTableRow>
        <!-- Type Status -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="typeStatus" fieldName="Tipo de Status">
            <c:set target="${fieldsMap}" property="typeStatus" value="true" />
            ${record.raw.identification.typeStatus}
        </alatag:occurrenceTableRow>
        <!-- Identification Qualifier -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="identificationQualifier" fieldName="Qualificador de Identificação">
            <c:set target="${fieldsMap}" property="identificationQualifier" value="true" />
            ${record.raw.identification.identificationQualifier}
        </alatag:occurrenceTableRow>
        <!-- Reproductive Condition -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="reproductiveCondition" fieldName="Condição Reprodutiva">
            <c:set target="${fieldsMap}" property="reproductiveCondition" value="true" />
            ${record.raw.occurrence.reproductiveCondition}
        </alatag:occurrenceTableRow>
        <!-- Sex -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="sex" fieldName="Sexo">
            <c:set target="${fieldsMap}" property="sex" value="true" />
            ${record.raw.occurrence.sex}
        </alatag:occurrenceTableRow>
        <!-- Behavior -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="behavior" fieldName="Comportamento">
            <c:set target="${fieldsMap}" property="behavior" value="true" />
            ${record.raw.occurrence.behavior}
        </alatag:occurrenceTableRow>
        <!-- Individual count -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="individualCount" fieldName="Contagem Individual">
            <c:set target="${fieldsMap}" property="individualCount" value="true" />
            ${record.raw.occurrence.individualCount}
        </alatag:occurrenceTableRow>
        <!-- Life stage -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="lifeStage" fieldName="Estágio de Vida">
            <c:set target="${fieldsMap}" property="lifeStage" value="true" />
            ${record.raw.occurrence.lifeStage}
        </alatag:occurrenceTableRow>
        <!-- Rights -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="rights" fieldName="Direitos">
            <c:set target="${fieldsMap}" property="rights" value="true" />
            ${record.raw.occurrence.rights}
        </alatag:occurrenceTableRow>
        <!-- Occurrence details -->
        <alatag:occurrenceTableRow annotate="false" section="dataset" fieldCode="occurrenceDetails" fieldName="Mais detalhes">
            <c:set target="${fieldsMap}" property="occurrenceDetails" value="true" />
            <c:if test="${not empty record.raw.occurrence.occurrenceDetails && fn:startsWith(record.raw.occurrence.occurrenceDetails,'http://')}">
                <a href="${record.raw.occurrence.occurrenceDetails}" target="_blank">${record.raw.occurrence.occurrenceDetails}</a>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- associatedOccurrences - handles the duplicates that are added via ALA Duplication Detection -->
        <c:if test="${not empty record.processed.occurrence.duplicationStatus}">
        	<c:set target="${fieldsMap}" property="duplicationStatus" value="true" />
        	<c:set target="${fieldsMap}" property="associatedOccurrences" value="true" />
        	<alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="duplicationStatus" fieldName="Status da Ocorrência Associada">
        		<fmt:message key="duplication.${record.processed.occurrence.duplicationStatus}"/>
        	</alatag:occurrenceTableRow>
        	<!-- Now handle the associatedOccurrences -->
        	<alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="associatedOccurrences" fieldName="Inferido a partir da Ocorrência Associada">
        		<c:choose>
        			<c:when test="${record.processed.occurrence.duplicationStatus == 'R'}">        			 
        			This record has ${fn:length(fn:split(record.processed.occurrence.associatedOccurrences, '|')) } inferred associated occurrences
        			</c:when>
        			<c:otherwise>The occurrence is associated with a representative record.  </c:otherwise>
        		</c:choose>
        		<br>
        		For more information see <a href="#inferredOccurrenceDetails">Inferred associated occurrence details</a>
<%-- 	        	<c:forEach var="docc" items="${fn:split(record.processed.occurrence.associatedOccurrences, '|')}">
	                <a href="${pageContext.request.contextPath}/occurrences/${docc}">${docc}</a>
	                <br> 
	            </c:forEach> --%>
             </alatag:occurrenceTableRow>
             <c:if test="${not empty record.raw.occurrence.associatedOccurrences }">
             	<alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="associatedOccurrences" fieldName="Ocorrências Associadas">
             		${record.raw.occurrence.associatedOccurrences }
             	</alatag:occurrenceTableRow>
             </c:if>
        </c:if>
        <!-- output any tags not covered already (excluding those in dwcExcludeFields) -->
        <alatag:formatExtraDwC compareRecord="${compareRecord}" fieldsMap="${fieldsMap}" group="Attribution" exclude="${dwcExcludeFields}"/>
        <alatag:formatExtraDwC compareRecord="${compareRecord}" fieldsMap="${fieldsMap}" group="Occurrence" exclude="${dwcExcludeFields}"/>
        <alatag:formatExtraDwC compareRecord="${compareRecord}" fieldsMap="${fieldsMap}" group="Event" exclude="${dwcExcludeFields}"/>
        <alatag:formatExtraDwC compareRecord="${compareRecord}" fieldsMap="${fieldsMap}" group="Identification" exclude="${dwcExcludeFields}"/>
    </table>
</div>
<div id="occurrenceTaxonomy">
    <h3><fmt:message key="subtDetOcor.taxonomy"/></h3>
    <table class="occurrenceTable table table-bordered table-striped table-condensed" id="taxonomyTable">
        <!-- Higher classification -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="higherClassification" fieldName="Classificação Superior">
            <c:set target="${fieldsMap}" property="higherClassification" value="true" />
            ${record.raw.classification.higherClassification}
        </alatag:occurrenceTableRow>
        <!-- Scientific name -->
        <alatag:occurrenceTableRow annotate="true" section="dataset" fieldCode="scientificName" fieldName="Nome Científico">
            <c:set target="${fieldsMap}" property="taxonConceptID" value="true" />
            <c:set target="${fieldsMap}" property="scientificName" value="true" />
            <c:set var="baseTaxonUrl">
                <c:choose>
                    <c:when test="${useAla == 'true'}">${bieWebappContext}/species/</c:when>
                    <c:otherwise>${pageContext.request.contextPath}/taxa/</c:otherwise>
                </c:choose>
            </c:set>
            <c:if test="${not empty record.processed.classification.taxonConceptID}">
                <a href="${baseTaxonUrl}${record.processed.classification.taxonConceptID}">
            </c:if>
            <c:if test="${record.processed.classification.taxonRankID > 5000}"><i></c:if>
            ${record.processed.classification.scientificName}
            <c:if test="${record.processed.classification.taxonRankID > 5000}"></i></c:if>
            <c:if test="${not empty record.processed.classification.taxonConceptID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.scientificName && not empty record.raw.classification.scientificName && (fn:toLowerCase(record.processed.classification.scientificName) != fn:toLowerCase(record.raw.classification.scientificName))}">
                <br/><span class="originalValue">Supplied scientific name "${record.raw.classification.scientificName}"</span>
            </c:if>
            <c:if test="${empty record.processed.classification.scientificName && not empty record.raw.classification.scientificName}">
                ${record.raw.classification.scientificName}
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- original name usage -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="originalNameUsage" fieldName="Nome Original">
            <c:set target="${fieldsMap}" property="originalNameUsage" value="true" />
            <c:set target="${fieldsMap}" property="originalNameUsageID" value="true" />
            <c:if test="${not empty record.processed.classification.originalNameUsageID}">
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${bieWebappContext}/species/${record.processed.classification.originalNameUsageID}">
                    </c:when>
                        <c:otherwise>
                        <a href="${pageContext.request.contextPath}/taxa/${record.processed.classification.originalNameUsageID}">
                    </c:otherwise>
                </c:choose>
            </c:if>
            <c:if test="${not empty record.processed.classification.originalNameUsage}">
                ${record.processed.classification.originalNameUsage}
            </c:if>
            <c:if test="${empty record.processed.classification.originalNameUsage && not empty record.raw.classification.originalNameUsage}">
                ${record.raw.classification.originalNameUsage}
            </c:if>
            <c:if test="${not empty record.processed.classification.originalNameUsageID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.originalNameUsage && not empty record.raw.classification.originalNameUsage && (fn:toLowerCase(record.processed.classification.originalNameUsage) != fn:toLowerCase(record.raw.classification.originalNameUsage))}">
                <br/><span class="originalValue">Fornecido como "${record.raw.classification.originalNameUsage}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Taxon Rank -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="taxonRank" fieldName="Classificação Taxon">
            <c:set target="${fieldsMap}" property="taxonRank" value="true" />
            <c:set target="${fieldsMap}" property="taxonRankID" value="true" />
            <c:choose>
                <c:when test="${not empty record.processed.classification.taxonRank}">
                    <span style="text-transform: capitalize;">${record.processed.classification.taxonRank}</span>
                </c:when>
                <c:when test="${empty record.processed.classification.taxonRank && not empty record.raw.classification.taxonRank}">
                    <span style="text-transform: capitalize;">${record.raw.classification.taxonRank}</span>
                </c:when>
                <c:otherwise>
                    [rank not known]
                </c:otherwise>
            </c:choose>
            <c:if test="${not empty record.processed.classification.taxonRank && not empty record.raw.classification.taxonRank  && (fn:toLowerCase(record.processed.classification.taxonRank) != fn:toLowerCase(record.raw.classification.taxonRank))}">
                <br/><span class="originalValue">Fornecido como "${record.raw.classification.taxonRank}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Common name -->
        <alatag:occurrenceTableRow annotate="false" section="taxonomy" fieldCode="commonName" fieldName="Nome Comum">
            <c:set target="${fieldsMap}" property="vernacularName" value="true" />
            <c:if test="${not empty record.processed.classification.vernacularName}">
                ${record.processed.classification.vernacularName}
            </c:if>
            <c:if test="${empty record.processed.classification.vernacularName && not empty record.raw.classification.vernacularName}">
                ${record.raw.classification.vernacularName}
            </c:if>
            <c:if test="${not empty record.processed.classification.vernacularName && not empty record.raw.classification.vernacularName && (fn:toLowerCase(record.processed.classification.vernacularName) != fn:toLowerCase(record.raw.classification.vernacularName))}">
                <br/><span class="originalValue">Supplied common name "${record.raw.classification.vernacularName}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Kingdom -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="kingdom" fieldName="Reino">
            <c:set target="${fieldsMap}" property="kingdom" value="true" />
            <c:set target="${fieldsMap}" property="kingdomID" value="true" />
            <c:if test="${not empty record.processed.classification.kingdomID}">
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${bieWebappContext}/species/${record.processed.classification.kingdomID}">
                    </c:when>
                    <c:otherwise>
                        <a href="${pageContext.request.contextPath}/taxa/${record.processed.classification.kingdomID}">
                    </c:otherwise>
                </c:choose>
            </c:if>
            <c:if test="${not empty record.processed.classification.kingdom}">
                ${record.processed.classification.kingdom}
            </c:if>
            <c:if test="${empty record.processed.classification.kingdom && not empty record.raw.classification.kingdom}">
                ${record.raw.classification.kingdom}
            </c:if>
            <c:if test="${not empty record.processed.classification.kingdomID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.kingdom && not empty record.raw.classification.kingdom && (fn:toLowerCase(record.processed.classification.kingdom) != fn:toLowerCase(record.raw.classification.kingdom))}">
                <br/><span class="originalValue">Fornecido como "${record.raw.classification.kingdom}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Phylum -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="phylum" fieldName="Filo">
            <c:set target="${fieldsMap}" property="phylum" value="true" />
            <c:set target="${fieldsMap}" property="phylumID" value="true" />
            <c:if test="${not empty record.processed.classification.phylumID}">
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${bieWebappContext}/species/${record.processed.classification.phylumID}">
                    </c:when>
                    <c:otherwise>
                        <a href="${pageContext.request.contextPath}/taxa/${record.processed.classification.phylumID}">
                    </c:otherwise>
                </c:choose>
            </c:if>
            <c:if test="${not empty record.processed.classification.phylum}">
                ${record.processed.classification.phylum}
            </c:if>
            <c:if test="${empty record.processed.classification.phylum && not empty record.raw.classification.phylum}">
                ${record.raw.classification.phylum}
            </c:if>
            <c:if test="${not empty record.processed.classification.phylumID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.phylum && not empty record.raw.classification.phylum && (fn:toLowerCase(record.processed.classification.phylum) != fn:toLowerCase(record.raw.classification.phylum))}">
                <br/><span class="originalValue">Fornecido como "${record.raw.classification.phylum}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Class -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="classs" fieldName="Classe">
            <c:set target="${fieldsMap}" property="classs" value="true" />
            <c:set target="${fieldsMap}" property="classID" value="true" />
            <c:if test="${not empty record.processed.classification.classID}">
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${bieWebappContext}/species/${record.processed.classification.classID}">
                    </c:when>
                    <c:otherwise>
                        <a href="${pageContext.request.contextPath}/taxa/${record.processed.classification.classID}">
                    </c:otherwise>
                </c:choose>
            </c:if>
            <c:if test="${not empty record.processed.classification.classs}">
                ${record.processed.classification.classs}
            </c:if>
            <c:if test="${empty record.processed.classification.classs && not empty record.raw.classification.classs}">
                ${record.raw.classification.classs}
            </c:if>
            <c:if test="${not empty record.processed.classification.classID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.classs && not empty record.raw.classification.classs && (fn:toLowerCase(record.processed.classification.classs) != fn:toLowerCase(record.raw.classification.classs))}">
                <br/><span classs="originalValue">Fornecido como "${record.raw.classification.classs}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Order -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="order" fieldName="Ordem">
            <c:set target="${fieldsMap}" property="order" value="true" />
            <c:set target="${fieldsMap}" property="orderID" value="true" />
            <c:if test="${not empty record.processed.classification.orderID}">
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${bieWebappContext}/species/${record.processed.classification.orderID}">
                    </c:when>
                    <c:otherwise>
                        <a href="${pageContext.request.contextPath}/taxa/${record.processed.classification.orderID}">
                    </c:otherwise>
                </c:choose>
            </c:if>
            <c:if test="${not empty record.processed.classification.order}">
                ${record.processed.classification.order}
            </c:if>
            <c:if test="${empty record.processed.classification.order && not empty record.raw.classification.order}">
                ${record.raw.classification.order}
            </c:if>
            <c:if test="${not empty record.processed.classification.orderID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.order && not empty record.raw.classification.order && (fn:toLowerCase(record.processed.classification.order) != fn:toLowerCase(record.raw.classification.order))}">
                <br/><span class="originalValue">Fornecido como "${record.raw.classification.order}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Family -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="family" fieldName="Família">
            <c:set target="${fieldsMap}" property="family" value="true" />
            <c:set target="${fieldsMap}" property="familyID" value="true" />
            <c:if test="${not empty record.processed.classification.familyID}">
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${bieWebappContext}/species/${record.processed.classification.familyID}">
                    </c:when>
                    <c:otherwise>
                        <a href="${pageContext.request.contextPath}/taxa/${record.processed.classification.familyID}">
                    </c:otherwise>
            </c:choose>
            </c:if>
            <c:if test="${not empty record.processed.classification.family}">
                ${record.processed.classification.family}
            </c:if>
            <c:if test="${empty record.processed.classification.family && not empty record.raw.classification.family}">
                ${record.raw.classification.family}
            </c:if>
            <c:if test="${not empty record.processed.classification.familyID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.family && not empty record.raw.classification.family && (fn:toLowerCase(record.processed.classification.family) != fn:toLowerCase(record.raw.classification.family))}">
                <br/><span class="originalValue">Supplied as "${record.raw.classification.family}"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Genus -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="genus" fieldName="Gênero">
            <c:set target="${fieldsMap}" property="genus" value="true" />
            <c:set target="${fieldsMap}" property="genusID" value="true" />
            <c:if test="${not empty record.processed.classification.genusID}">
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${bieWebappContext}/species/${record.processed.classification.genusID}">
                    </c:when>
                    <c:otherwise>
                        <a href="${pageContext.request.contextPath}/taxa/${record.processed.classification.genusID}">
                    </c:otherwise>
                </c:choose>
            </c:if>
            <c:if test="${not empty record.processed.classification.genus}">
                <i>${record.processed.classification.genus}</i>
            </c:if>
            <c:if test="${empty record.processed.classification.genus && not empty record.raw.classification.genus}">
                <i>${record.raw.classification.genus}</i>
            </c:if>
            <c:if test="${not empty record.processed.classification.genusID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.genus && not empty record.raw.classification.genus && (fn:toLowerCase(record.processed.classification.genus) != fn:toLowerCase(record.raw.classification.genus))}">
                <br/><span class="originalValue">Fornecido como "<i>${record.raw.classification.genus}</i>"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Species -->
        <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="species" fieldName="Espécie">
            <c:set target="${fieldsMap}" property="species" value="true" />
            <c:set target="${fieldsMap}" property="speciesID" value="true" />
            <c:set target="${fieldsMap}" property="specificEpithet" value="true" />
            <c:if test="${not empty record.processed.classification.speciesID}">
                <c:choose>
                    <c:when test="${useAla == 'true'}">
                        <a href="${bieWebappContext}/species/${record.processed.classification.speciesID}">
                    </c:when>
                    <c:otherwise>
                        <a href="${pageContext.request.contextPath}/taxa/${record.processed.classification.speciesID}">
                    </c:otherwise>
                </c:choose>
            </c:if>
            <c:choose>
                <c:when test="${not empty record.processed.classification.species}">
                    <i>${record.processed.classification.species}</i>
                </c:when>
                <c:when test="${not empty record.raw.classification.species}">
                    <i>${record.raw.classification.species}</i>
                </c:when>
                <c:when test="${not empty record.raw.classification.specificEpithet && not empty record.raw.classification.genus}">
                    <i>${record.raw.classification.genus}&nbsp;${record.raw.classification.specificEpithet}</i>
                </c:when>
            </c:choose>
            <c:if test="${not empty record.processed.classification.speciesID}">
                </a>
            </c:if>
            <c:if test="${not empty record.processed.classification.species && not empty record.raw.classification.species && (fn:toLowerCase(record.processed.classification.species) != fn:toLowerCase(record.raw.classification.species))}">
                <br/><span class="originalValue">Fornecido como "<i>${record.raw.classification.species}</i>"</span>
            </c:if>
        </alatag:occurrenceTableRow>
        <!-- Associated Taxa -->
        <c:if test="${not empty record.raw.occurrence.associatedTaxa}">
            <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="associatedTaxa" fieldName="Espécies Associadas">
                <c:set target="${fieldsMap}" property="associatedTaxa" value="true" />
                <c:set var="colon" value=":"/>
                <c:choose>
                    <c:when test="${fn:contains(record.raw.occurrence.associatedTaxa,colon)}">
                        <c:set var="associatedName" value="${fn:substringAfter(record.raw.occurrence.associatedTaxa,colon)}"/>
                        ${fn:substringBefore(record.raw.occurrence.associatedTaxa,colon) }: <a href="${bieWebappContext}/species/${fn:replace(associatedName, '  ', ' ')}">${associatedName}</a>
                    </c:when>
                    <c:otherwise>
                        <a href="${bieWebappContext}/species/${fn:replace(record.raw.occurrence.associatedTaxa, '  ', ' ')}">${record.raw.occurrence.associatedTaxa}</a>
                    </c:otherwise>
                </c:choose>
            </alatag:occurrenceTableRow>
        </c:if>
        <c:if test="${not empty record.processed.classification.taxonomicIssue}">
            <!-- Taxonomic issues -->
            <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="taxonomicIssue" fieldName="Problemas Taxonômicos">
                   <alatag:formatJsonArray text="${record.processed.classification.taxonomicIssue}"/>
            </alatag:occurrenceTableRow>
        </c:if>
        <c:if test="${not empty record.processed.classification.nameMatchMetric}">
            <!-- Taxonomic issues -->
            <alatag:occurrenceTableRow annotate="true" section="taxonomy" fieldCode="nameMatchMetric" fieldName="Métrica de Equivalência de Nome">
                   <spring:message code="${record.processed.classification.nameMatchMetric}" text="${record.processed.classification.nameMatchMetric}"/>
                   <br/>
                   <spring:message code="nameMatch.${record.processed.classification.nameMatchMetric}" text=""/>
            </alatag:occurrenceTableRow>
        </c:if>
        <!-- output any tags not covered already (excluding those in dwcExcludeFields) -->
        <alatag:formatExtraDwC compareRecord="${compareRecord}" fieldsMap="${fieldsMap}" group="Classification" exclude="${dwcExcludeFields}"/>
    </table>
</div>
<c:if test="${not empty compareRecord.Location}">
    <div id="geospatialTaxonomy">
        <h3><fmt:message key="subtDetOcor.geospatialTaxonomy"/></h3>
        <table class="occurrenceTable table table-bordered table-striped table-condensed" id="geospatialTable">
            <!-- Higher Geography -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="higherGeography" fieldName="Geografia Superior">
                <c:set target="${fieldsMap}" property="higherGeography" value="true" />
                ${record.raw.location.higherGeography}
            </alatag:occurrenceTableRow>
            <!-- Country -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="country" fieldName="País">
                <c:set target="${fieldsMap}" property="country" value="true" />
                <c:choose>
                    <c:when test="${not empty record.processed.location.country}">
                        ${record.processed.location.country}
                    </c:when>
                    <c:when test="${not empty record.processed.location.countryCode}">
                        <fmt:message key="country.${record.processed.location.countryCode}"/>
                    </c:when>
                    <c:otherwise>
                        ${record.raw.location.country}
                    </c:otherwise>
                </c:choose>
                <c:if test="${not empty record.processed.location.country && not empty record.raw.location.country && (fn:toLowerCase(record.processed.location.country) != fn:toLowerCase(record.raw.location.country))}">
                    <br/><span class="originalValue">Fornecido como "${record.raw.location.country}"</span>
                </c:if>
            </alatag:occurrenceTableRow>
            <!-- State/Province -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="state" fieldName="Estado ou Território">
                <c:set target="${fieldsMap}" property="stateProvince" value="true" />
                <c:set var="stateValue" value="${not empty record.processed.location.stateProvince ? record.processed.location.stateProvince : record.raw.location.stateProvince}" />
                <c:if test="${not empty stateValue}">
                    <%--<a href="${bieWebappContext}/regions/aus_states/${stateValue}">--%>
                        ${stateValue}
                    <%--</a>--%>
                </c:if>
                <c:if test="${not empty record.processed.location.stateProvince && not empty record.raw.location.stateProvince && (fn:toLowerCase(record.processed.location.stateProvince) != fn:toLowerCase(record.raw.location.stateProvince))}">
                    <br/><span class="originalValue">Fornecido como: "${record.raw.location.stateProvince}"</span>
                </c:if>
            </alatag:occurrenceTableRow>
            <!-- Local Govt Area -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="locality" fieldName="Àrea do Governo Local">
                <c:set target="${fieldsMap}" property="lga" value="true" />
                <c:if test="${not empty record.processed.location.lga}">
                    ${record.processed.location.lga}
                </c:if>
                <c:if test="${empty record.processed.location.lga && not empty record.raw.location.lga}">
                    ${record.raw.location.lga}
                </c:if>
            </alatag:occurrenceTableRow>
            <!-- Locality -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="locality" fieldName="Localidade">
                <c:set target="${fieldsMap}" property="locality" value="true" />
                <c:if test="${not empty record.processed.location.locality}">
                    ${record.processed.location.locality}
                </c:if>
                <c:if test="${empty record.processed.location.locality && not empty record.raw.location.locality}">
                    ${record.raw.location.locality}
                </c:if>
                <c:if test="${not empty record.processed.location.locality && not empty record.raw.location.locality && (fn:toLowerCase(record.processed.location.locality) != fn:toLowerCase(record.raw.location.locality))}">
                    <br/><span class="originalValue">Fornecido como: "${record.raw.location.locality}"</span>
                </c:if>
            </alatag:occurrenceTableRow>
            <!-- Biogeographic Region -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="biogeographicRegion" fieldName="Região Biogeográfica">
                <c:set target="${fieldsMap}" property="ibra" value="true" />
                <c:if test="${not empty record.processed.location.ibra}">
                    ${record.processed.location.ibra}
                </c:if>
                <c:if test="${empty record.processed.location.ibra && not empty record.raw.location.ibra}">
                    ${record.raw.location.ibra}
                </c:if>
            </alatag:occurrenceTableRow>
            <!-- Habitat -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="habitat" fieldName="Terrestre/Marinho">
                <c:set target="${fieldsMap}" property="habitat" value="true" />
                ${record.processed.location.habitat}
            </alatag:occurrenceTableRow>
            <!-- Latitude -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="latitude" fieldName="Latitude">
                <c:set target="${fieldsMap}" property="decimalLatitude" value="true" />
                <c:choose>
                    <c:when test="${not empty clubView && record.raw.location.decimalLatitude != record.processed.location.decimalLatitude}">
                        ${record.raw.location.decimalLatitude}
                    </c:when>
                    <c:when test="${not empty record.raw.location.decimalLatitude && record.raw.location.decimalLatitude != record.processed.location.decimalLatitude}">
                        ${record.processed.location.decimalLatitude}<br/><span class="originalValue">Fornecido como: "${record.raw.location.decimalLatitude}"</span>
                    </c:when>
                    <c:when test="${not empty record.processed.location.decimalLatitude}">
                        ${record.processed.location.decimalLatitude}
                    </c:when>
                    <c:when test="${not empty record.raw.location.decimalLatitude}">
                        ${record.raw.location.decimalLatitude}
                    </c:when>
                </c:choose>
            </alatag:occurrenceTableRow>
            <!-- Longitude -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="longitude" fieldName="Longitude">
                <c:set target="${fieldsMap}" property="decimalLongitude" value="true" />
                <c:choose>
                    <c:when test="${not empty clubView && record.raw.location.decimalLongitude != record.processed.location.decimalLongitude}">
                        ${record.raw.location.decimalLongitude}
                    </c:when>
                    <c:when test="${not empty record.raw.location.decimalLongitude && record.raw.location.decimalLongitude != record.processed.location.decimalLongitude}">
                        ${record.processed.location.decimalLongitude}<br/><span class="originalValue">Fornecido como: "${record.raw.location.decimalLongitude}"</span>
                    </c:when>
                    <c:when test="${not empty record.processed.location.decimalLongitude}">
                        ${record.processed.location.decimalLongitude}
                    </c:when>
                    <c:when test="${not empty record.raw.location.decimalLongitude}">
                        ${record.raw.location.decimalLongitude}
                    </c:when>
                </c:choose>
            </alatag:occurrenceTableRow>
            <!-- Geodetic datum -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="geodeticDatum" fieldName="Daatum Geodésico">
                <c:set target="${fieldsMap}" property="geodeticDatum" value="true" />
                <c:choose>
                    <c:when test="${not empty clubView && record.raw.location.geodeticDatum != record.processed.location.geodeticDatum}">
                        ${record.raw.location.geodeticDatum}
                    </c:when>
                    <c:when test="${not empty record.raw.location.geodeticDatum && record.raw.location.geodeticDatum != record.processed.location.geodeticDatum}">
                        ${record.processed.location.geodeticDatum}<br/><span class="originalValue">Supplied datum: "${record.raw.location.geodeticDatum}"</span>
                    </c:when>
                    <c:when test="${not empty record.processed.location.geodeticDatum}">
                        ${record.processed.location.geodeticDatum}
                    </c:when>
                    <c:when test="${not empty record.raw.location.geodeticDatum}">
                        ${record.raw.location.geodeticDatum}
                    </c:when>
                </c:choose>
            </alatag:occurrenceTableRow>
            <!-- verbatimCoordinateSystem -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="verbatimCoordinateSystem" fieldName="Verbatim sistema de coordenadas">
                <c:set target="${fieldsMap}" property="verbatimCoordinateSystem" value="true" />
                ${record.raw.location.verbatimCoordinateSystem}
            </alatag:occurrenceTableRow>
            <!-- Verbatim locality -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="verbatimLocality" fieldName="Localidade Verbatim">
                <c:set target="${fieldsMap}" property="verbatimLocality" value="true" />
                ${record.raw.location.verbatimLocality}
            </alatag:occurrenceTableRow>
            <!-- Water Body -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="waterBody" fieldName="Corpo de água">
                <c:set target="${fieldsMap}" property="waterBody" value="true" />
                ${record.raw.location.waterBody}
            </alatag:occurrenceTableRow>
            <!-- Min depth -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="minimumDepthInMeters" fieldName="Profundidade mínima em metros">
                <c:set target="${fieldsMap}" property="minimumDepthInMeters" value="true" />
                ${record.raw.location.minimumDepthInMeters}
            </alatag:occurrenceTableRow>
            <!-- Max depth -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="maximumDepthInMeters" fieldName="Profundidade máxima em metros">
                <c:set target="${fieldsMap}" property="maximumDepthInMeters" value="true" />
                ${record.raw.location.maximumDepthInMeters}
            </alatag:occurrenceTableRow>
            <!-- Min elevation -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="minimumElevationInMeters" fieldName="Elevação mínima em metros ">
                <c:set target="${fieldsMap}" property="minimumElevationInMeters" value="true" />
                ${record.raw.location.minimumElevationInMeters}
            </alatag:occurrenceTableRow>
            <!-- Max elevation -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="maximumElevationInMeters" fieldName="Elevação máxima em metros">
                <c:set target="${fieldsMap}" property="maximumElevationInMeters" value="true" />
                ${record.raw.location.maximumElevationInMeters}
            </alatag:occurrenceTableRow>
            <!-- Island -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="island" fieldName="Ilha">
                <c:set target="${fieldsMap}" property="island" value="true" />
                ${record.raw.location.island}
            </alatag:occurrenceTableRow>
            <!-- Island Group-->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="islandGroup" fieldName="Grupo de ilhas">
                <c:set target="${fieldsMap}" property="islandGroup" value="true" />
                ${record.raw.location.islandGroup}
            </alatag:occurrenceTableRow>
            <!-- Location remarks -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="locationRemarks" fieldName="Localização das observações">
                <c:set target="${fieldsMap}" property="locationRemarks" value="true" />
                ${record.raw.location.locationRemarks}
            </alatag:occurrenceTableRow>
            <!-- Field notes -->
            <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="fieldNotes" fieldName="Notas de Campo">
                <c:set target="${fieldsMap}" property="fieldNotes" value="true" />
                ${record.raw.occurrence.fieldNotes}
            </alatag:occurrenceTableRow>
            <!-- Coordinate Precision -->
            <alatag:occurrenceTableRow annotate="false" section="geospatial" fieldCode="coordinatePrecision" fieldName="Coordenada de Precisão">
                <c:set target="${fieldsMap}" property="coordinatePrecision" value="true" />
                <c:if test="${not empty record.raw.location.decimalLatitude || not empty record.raw.location.decimalLongitude}">
                    ${not empty record.raw.location.coordinatePrecision ? record.raw.location.coordinatePrecision : 'Unknown'}
                </c:if>
            </alatag:occurrenceTableRow>
            <!-- Coordinate Uncertainty -->
            <alatag:occurrenceTableRow annotate="false" section="geospatial" fieldCode="coordinateUncertaintyInMeters" fieldName="Coordenada de incerteza em metros">
                <c:set target="${fieldsMap}" property="coordinateUncertaintyInMeters" value="true" />
                <c:if test="${not empty record.raw.location.decimalLatitude || not empty record.raw.location.decimalLongitude}">
                    ${not empty record.processed.location.coordinateUncertaintyInMeters ? record.processed.location.coordinateUncertaintyInMeters : 'Unknown'}
                </c:if>
            </alatag:occurrenceTableRow>
            <!-- Data Generalizations -->
            <alatag:occurrenceTableRow annotate="false" section="geospatial" fieldCode="generalisedInMetres" fieldName="Coordenadas Generalizadas">
                <c:set target="${fieldsMap}" property="generalisedInMetres" value="true" />
                <c:choose>
                    <c:when test="${not empty record.processed.occurrence.dataGeneralizations && fn:contains(record.processed.occurrence.dataGeneralizations, 'is already generalised')}">
                        ${record.processed.occurrence.dataGeneralizations}
                    </c:when>
                    <c:when test="${not empty record.processed.occurrence.dataGeneralizations}">
                        Due to sensitivity concerns, the coordinates of this record have been generalised: &quot;<span class="dataGeneralizations">${record.processed.occurrence.dataGeneralizations}</span>&quot;.
                    </c:when>
                </c:choose>
            </alatag:occurrenceTableRow>
            <!-- Information Withheld -->
            <alatag:occurrenceTableRow annotate="false" section="geospatial" fieldCode="informationWithheld" fieldName="Informações Retidas">
                <c:set target="${fieldsMap}" property="informationWithheld" value="true" />
                <c:if test="${not empty record.processed.occurrence.informationWithheld}">
                    <span class="dataGeneralizations">${record.processed.occurrence.informationWithheld}</span>
                </c:if>
            </alatag:occurrenceTableRow>
            <!-- GeoreferenceVerificationStatus -->
            <alatag:occurrenceTableRow annotate="false" section="geospatial" fieldCode="georeferenceVerificationStatus" fieldName="Status de verificação Georreferenciamento">
                <c:set target="${fieldsMap}" property="georeferenceVerificationStatus" value="true" />
                ${record.raw.location.georeferenceVerificationStatus}
            </alatag:occurrenceTableRow>
            <!-- georeferenceSources -->
            <alatag:occurrenceTableRow annotate="false" section="geospatial" fieldCode="georeferenceSources" fieldName="Fontes de Georeferência">
                <c:set target="${fieldsMap}" property="georeferenceSources" value="true" />
                ${record.raw.location.georeferenceSources}
            </alatag:occurrenceTableRow>
            <!-- georeferenceProtocol -->
            <alatag:occurrenceTableRow annotate="false" section="geospatial" fieldCode="georeferenceProtocol" fieldName="Protocolo de Georeferência">
                <c:set target="${fieldsMap}" property="georeferenceProtocol" value="true" />
                ${record.raw.location.georeferenceProtocol}
            </alatag:occurrenceTableRow>
            <!-- georeferenceProtocol -->
            <alatag:occurrenceTableRow annotate="false" section="geospatial" fieldCode="georeferencedBy" fieldName="Georeferenciado por">
                <c:set target="${fieldsMap}" property="georeferencedBy" value="true" />
                ${record.raw.location.georeferencedBy}
            </alatag:occurrenceTableRow>
            <!-- output any tags not covered already (excluding those in dwcExcludeFields) -->
            <alatag:formatExtraDwC compareRecord="${compareRecord}" fieldsMap="${fieldsMap}" group="Location" exclude="${dwcExcludeFields}"/>
        </table>
    </div>
</c:if>
<c:if test="${not empty record.raw.miscProperties}">
    <div id="additionalProperties">
        <h3><fmt:message key="subtDetOcor.additional"/></h3>
        <table class="occurrenceTable table table-bordered table-striped table-condensed" id="miscellaneousPropertiesTable">
            <!-- Higher Geography -->
            <c:forEach items="${record.raw.miscProperties}" var="entry">
                <alatag:occurrenceTableRow annotate="true" section="geospatial" fieldCode="${entry.key}" fieldName="<span class='dwc'>${entry.key}</span>">${entry.value}</alatag:occurrenceTableRow>
            </c:forEach>
        </table>
    </div>
</c:if>
